Bug 641910 - Do not automatically check all disks when selecting a RAID partition
Summary: Do not automatically check all disks when selecting a RAID partition
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ales Kozumplik
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords: Improvement
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-11 13:58 UTC by Yaniv Kaul
Modified: 2014-09-30 23:39 UTC (History)
5 users (show)

Fixed In Version: anaconda-13.21.84-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 12:52:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (85.21 KB, image/png)
2010-11-01 08:18 UTC, Yaniv Kaul
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0530 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2011-05-18 17:44:52 UTC

Description Yaniv Kaul 2010-10-11 13:58:19 UTC
Description of problem:
When I'm trying to create a soft RAID partition, all disks are checked by default. I need to manually un-check all but the one that I want the soft raid on.
Then I'm selecting the next disk - same issue again. And the next disk...

Either:
- When selecting a soft raid do not select all disks
or better yet:
- Allow just to create soft raid on all selected disks.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Chris Lumens 2010-10-11 20:35:02 UTC
Can you attach a picture illustrating this?

Comment 3 Yaniv Kaul 2010-11-01 08:18:40 UTC
Created attachment 456816 [details]
screenshot

Once 'software RAID' is selected - all drives are checked. This would have been great if it could actually do this - create a software RAID file system on all checked drives. If it can't, then it should uncheck all of them and check only the relevant one. (note - when you have many drives, as you would have for RAID, the list is bigger, and it's makes it much more inconvenient - you have to scroll down and uncheck the hidden ones). You need to do this for every drive separately.

Comment 4 RHEL Product and Program Management 2010-11-23 13:19:59 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 5 Ales Kozumplik 2010-11-24 08:43:10 UTC
Fixed by ed8414a16ecebeab1c40e1d45522e7283cee4e0b and 7da3c1042a5e29623bdf7b712d8c566c00681c25.

Comment 8 Alexander Todorov 2011-03-09 13:56:02 UTC
This is fixed in anaconda-13.21.103-1.el6.x86_64

Comment 9 errata-xmlrpc 2011-05-19 12:52:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html


Note You need to log in before you can comment on or make changes to this bug.